%define rname		chatzilla

Summary:	Internet Relay Chat (IRC) in Firefox
Name:		%firefox_name-%rname
Version:	0.9.61
Release:	alt1
Source0:	%rname-%version.xpi
Source1:	installed-chrome-%rname.txt
License:	GPL
Group:		Networking/WWW	
URL:		http://www.hacksrus.com/~ginda/chatzilla/
BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Provides: 	MozillaFirebird-chatzilla
Obsoletes:      MozillaFirebird-chatzilla

Requires: %firefox_name >= %firefox_version-%firefox_release 

%description 
ChatZilla is a cross platform messaging client that combines 
Internet Relay Chat (IRC) with existing web standards like JavaScript, 
HTML, and CSS. If you don't know any of this stuff don't worry, you don't 
have to. ChatZilla is easy to use.

%prep

%build

%install
%__install -d %buildroot/%firefox_chromedir
%__install -d %buildroot/%firefox_componentsdir

%__unzip %SOURCE0 -d %buildroot

%__mv %buildroot/bin/chrome/chatzilla.jar \
    %buildroot/%firefox_chromedir
    
%__mv %buildroot/bin/components/chatzilla-service.js \
    %buildroot/%firefox_componentsdir

%__install -m644 %SOURCE1 %buildroot/%firefox_chromedir

%post
%firefox_extension_postin

%postun
%firefox_extension_postun

%files
%firefox_componentsdir/*
%firefox_chromedir/*.jar
%firefox_chromedir/installed-chrome-%rname.txt

%changelog
* Wed Mar 10 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.61-alt1
- New version;

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.59p-alt1
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);
- New version;

* Sat Jan 10 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.55-alt1
- first build for ALT Linux.


